<mat-card
  *ngIf="pixelMapInput && pixelMapInput.tileRequesters?.length"
  class="svm-pixel-map-controls">
  <ng-container *ngIf="pixelMapInput.channelClassMapping; else defaultChannels">
    <div
      *ngFor="let channel of pixelMapInput.channelClassMapping; index as i"
      class="opacity-container">
      <mat-label class="label-text">{{channel.name}}</mat-label>
      <mat-slider color="primary" min="0" max="1" step="0.1" discrete (click)="$event.stopPropagation()">
        <input matSliderThumb [value]="DEFAULT_OPACITY" (dragEnd)="onLayerChannelOpacityChanged(i, $event)">
      </mat-slider>
    </div>
  </ng-container>
  <ng-template #defaultChannels>
    <div
      *ngFor="let tileRequester of pixelMapInput.tileRequesters; index as i"
      class="opacity-container">
      <mat-label class="label-text">Channel: {{tileRequester.channel}}</mat-label>
      <mat-slider color="primary" min="0" max="1" step="0.1" discrete (click)="$event.stopPropagation()">
        <input matSliderThumb [value]="DEFAULT_OPACITY" (dragEnd)="onLayerChannelOpacityChanged(i, $event)">
      </mat-slider>
    </div>
  </ng-template>
</mat-card>
